matrix:
  platform: ["ubuntu2204", "ubuntu2404"]
  bazel: [7.x, 8.x]

tasks:
  verify_targets:
    name: "Verify build targets"
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      # Required for Bazel 7, which defaults to C++14. Can be dropped once
      # Bazel 7 support is removed.
      - "--cxxopt=-std=c++17"
      - "--host_cxxopt=-std=c++17"
    build_targets:
      - "@p4runtime//..."
